Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.eightsvx
Interface LoopableAudioClip

All Superinterfaces:
  java.applet.AudioClip

All Known Implementing Classes:
  EightSVXAudioClip, JDK10AudioClip, JDK13AppletAudioClip, JDK13LongAudioClip, JDK13ShortAudioClip

    public interface LoopableAudioClip

extends java.applet.AudioClip

LoopableAudioClip.

Version:
  1.0 April 25, 2003 Created.
Author:
  Werner Randelshofer, Hausmatt 10, CH-6405 Immensee, Switzerland

Field Summary
`static int` | `LOOP_CONTINUOUSLY` Use this as a parameter for method loop(int) to specify a continuous loop.

Method Summary
`void` | `loop(int count)` Starts looping playback from the current position.

Methods inherited from interface java.applet.AudioClip
`loop, play, stop`

Field Detail

### LOOP_CONTINUOUSLY

    static final int LOOP_CONTINUOUSLY

  Use this as a parameter for method loop(int) to specify a continuous loop.

  See Also:
    Constant Field Values

Method Detail

### loop

    void loop(int count)

  Starts looping playback from the current position. Playback will continue to the loop's end point, then loop back to the loop start point `count` times, and finally continue playback to the end of the clip.

  If the current position when this method is invoked is greater than the loop end point, playback simply continues to the end of the clip without looping.

  A `count` value of 0 indicates that any current looping should cease and playback should continue to the end of the clip. The behavior is undefined when this method is invoked with any other value during a loop operation.

  If playback is stopped during looping, the current loop status is cleared; the behavior of subsequent loop and start requests is not affected by an interrupted loop operation.

  Parameters:
    `count` - the number of times playback should loop back from the loop's end position to the loop's start position, or ``LOOP_CONTINUOUSLY`` to indicate that looping should continue until interrupted

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD